# TODO, sometime: JACK, polypaudio, Enca, toolame, libdts, x264

%define		extraversion pre7try2

Name:           mplayer
Version:        1.0
Release:        0.0.%{extraversion}.%{mysig}
Summary:        Movie player playing most video formats and DVDs

Group:          Applications/Multimedia
License:        GPL
URL:            http://www.mplayerhq.hu/
Source0:        http://www.mplayerhq.hu/MPlayer/releases/MPlayer-%{version}%{?extraversion}.tar.bz2
Source1:        http://www.mplayerhq.hu/MPlayer/Skin/Blue-1.4.tar.bz2
Source3:        mplayer.desktop
Patch0:         MPlayer-0.90pre9-runtimemsg.patch
Patch1:         MPlayer-0.90pre10-redhat.patch
Patch2:         mplayer-1.0pre7-ldconfig.patch
Patch3:         mplayer-1.0pre7try2-v4l.patch
Patch4:         MPlayer-0.90-playlist.patch
# Patch5 from http://www.muempf.de/down/vdr-mp3-0.9.7.tar.gz
Patch5:         mplayer-1.0pre2-slavemode.diff
Patch6:         mplayer-1.0pre7-installstrip.patch
Patch7:         mplayer-1.0pre7-gcc4.patch
Patch8:		mplayer-1.0pre7-gcc4-altivec.patch
Patch9:		mplayer-1.0pre7-directfb.patch
Patch10:        mplayer-1.0pre7-ryo-x86_64.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:       mplayer-fonts >= 1.1-0.ker.rhel4
BuildRequires:  desktop-file-utils, alsa-lib-devel, %{__perl}
BuildRequires:  SDL-devel, freetype-devel >= 2.0.9, fribidi-devel
BuildRequires:  libvorbis-devel, libogg-devel, esound-devel, aalib-devel
BuildRequires:  xvidcore-devel >= 0.9.2, arts-devel, libdvdread-devel
BuildRequires:  cdparanoia-devel, libmad-devel, faad2-devel, xmms-devel
BuildRequires:  libpng-devel, libdv-devel, lzo-devel, libjpeg-devel
BuildRequires:  libungif-devel, zlib-devel, live-devel, ladspa-devel
BuildRequires:  libtheora-devel
%{?_with_samba:BuildRequires: samba-common}
%{!?_without_lirc:BuildRequires: lirc-devel}
%{!?_without_caca:BuildRequires: libcaca-devel}
%{!?_without_dxr3:BuildRequires: em8300-devel}
%{!?_without_directfb:BuildRequires: directfb-devel}
%{!?_without_dvb:BuildRequires: glibc-kernheaders >= 2.4-9.1.94}

%description
MPlayer is a movie player that plays most MPEG, VOB, AVI, OGG/OGM,
VIVO, ASF/WMA/WMV, QT/MOV/MP4, FLI, RM, NuppelVideo, yuv4mpeg, FILM,
RoQ, and PVA files. You can also use it to watch VCDs, SVCDs, DVDs,
3ivx, RealMedia, and DivX movies.
It supports a wide range of output drivers including X11, XVideo, DGA,
OpenGL, SVGAlib, fbdev, AAlib, DirectFB etc. There are also nice
antialiased shaded subtitles and OSD.
Non-default rpmbuild options:
--without lirc:   Disable LIRC support
--without caca:   Disable CACA support
--without dxr3:   Disable DXR3 support
--without directfb: Disable DirectFB support
--without dvb:    Disable DVB support
--with samba:     Enable Samba (smb://) support
--with vdr:       Build with VDR's MPlayer plugin slave mode progress bar patch

%package gui
Summary:          GUI for MPlayer
Group:            Applications/Multimedia
Requires:         mplayer = %{version}-%{release}
BuildRequires:    gtk+-devel

%description gui
This package contains a GUI for MPlayer. The package includes a
the default skin for the GUI.

%package mencoder
Summary:          MPlayer movie encoder
Group:            Applications/Multimedia
BuildRequires:    lame-devel
Requires:	  mplayer = %{version}-%{release}

%description mencoder
This package contains the MPlayer movie encoder. 


%prep
%setup -q -n MPlayer-%{version}%{?extraversion}
%patch0 -p1 -b .runtimemsg
%patch1 -p0 -b .redhat
%patch2 -p1 -b .ldconfig
%patch3 -p0 -b .v4l
%patch4 -p1 -b .playlist
%if 0%{?_with_vdr:1}
%patch5 -p0 -b .slavemode
%endif
%patch6 -p1 -b .strip
%patch7 -p1 -b .gcc4
%patch8 -p1 -b .altivec
%patch9 -p0 -b .directfb
%ifarch x86_64
%patch10 -p1 -b .x64-ryo
%endif

iconv -f iso-8859-1 -t utf-8 AUTHORS > AUTHORS.utf8 ; mv AUTHORS.utf8 AUTHORS
for l in cs de en es fr it sv; do
  iconv -f iso-8859-1 -t utf-8 < DOCS/man/$l/mplayer.1 \
    > DOCS/man/mplayer.1.$l.utf8
done
for l in cs hu pl; do
  iconv -f iso-8859-2 -t utf-8 < DOCS/man/$l/mplayer.1 \
    > DOCS/man/mplayer.1.$l.utf8
done
iconv -f gbk -t utf-8 < DOCS/man/zh/mplayer.1 > DOCS/man/mplayer.1.zh_TW.utf8


%build
export CFLAGS="$RPM_OPT_FLAGS -ffast-math"
%ifarch ppc
export CFLAGS="$CFLAGS -maltivec -mabi=altivec"
%endif
./configure \
  --prefix=%{_prefix} \
  --cc="%{__cc}" \
  --datadir=%{_datadir}/mplayer \
  --confdir=%{_sysconfdir}/mplayer \
  --mandir=%{_mandir} \
  --enable-gui \
  --enable-menu \
  --enable-mencoder \
  --enable-largefiles \
%ifarch %ix86
  --target=%{_target_platform} \
  --enable-win32 \
  --with-win32libdir=%{_libdir}/win32 \
  --with-reallibdir=%{_libdir}/win32 \
%endif
  --enable-joystick \
  --disable-mpdvdkit \
  --%{?_without_lirc:disable}%{!?_without_lirc:enable}-lirc \
  --%{?_without_dxr3:disable}%{!?_without_dxr3:enable}-dxr3 \
  --%{?_without_dvb:disable}%{!?_without_dvb:enable}-dvbhead \
  --with-cdparanoiaincdir=%{_includedir}/cdda \
  --enable-libdv \
  --enable-external-faad \
  --enable-live \
  --with-livelibdir=%{_libdir}/live \
  --enable-xmms \
  --enable-runtime-cpudetection \
  --enable-i18n \
  --enable-fribidi \
  --with-xmmslibdir=%{_libdir} \
%{!?_with_samba: --disable-smb} \
%{?_without_caca: --disable-caca} \
  --disable-termcap \
  --disable-svga \
%{?_without_directfb: --disable-directfb} \
  --disable-libfame
%{__perl} -pi -e 's|-Wl,-rpath,%{_libdir}\b||g' config.mak # SDL from < FC2

# 1.0pre[5..7] is not parallel build clean (dxr3/dha/libmpdemux)
make


%install
rm -rf $RPM_BUILD_ROOT doc

make install DESTDIR=$RPM_BUILD_ROOT STRIPBINARIES=no

# Take care of manual pages. These are in multiple languages, and there
# is one common manual page for both mplayer and mencoder.

echo ".so man1/mplayer.1" > DOCS/man/rlo-mencoder.1

install -dm 755 $RPM_BUILD_ROOT%{_mandir}/man1
install -m 644 DOCS/man/mplayer.1.en.utf8 \
  $RPM_BUILD_ROOT%{_mandir}/man1/mplayer.1
install -pm 644 DOCS/man/rlo-mencoder.1 \
  $RPM_BUILD_ROOT%{_mandir}/man1/mencoder.1
for l in cs de es fr hu it pl sv zh_TW; do
  install -dm 755 $RPM_BUILD_ROOT%{_mandir}/$l/man1
  install -m 644 DOCS/man/mplayer.1.$l.utf8 \
    $RPM_BUILD_ROOT%{_mandir}/$l/man1/mplayer.1
  install -pm 644 DOCS/man/rlo-mencoder.1 \
    $RPM_BUILD_ROOT%{_mandir}/$l/man1/mencoder.1
done

# Clean up documentation
mkdir doc
cp -pR DOCS/* doc/
rm -r doc/man doc/xml doc/README
cp -pR doc/HTML/* doc/
rm -r doc/HTML

# Install the rest of the configuration files after making a few
# changes in them.
install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/mplayer
%{__perl} -pe \
  's|^\#include = .*|\#include = /home/me/.mplayer/something|;
   s|\# skin = default|skin = Blue|;
   s|\bcache_|cache-|;
   s|/usr/local/etc/mplayer\.conf|%{_sysconfdir}/mplayer/mplayer.conf|;
   s|/usr/local/share/|%{_datadir}/|;' \
  etc/example.conf > $RPM_BUILD_ROOT%{_sysconfdir}/mplayer/mplayer.conf
chmod 644 $RPM_BUILD_ROOT%{_sysconfdir}/mplayer/mplayer.conf
install -pm 644 etc/input.conf $RPM_BUILD_ROOT%{_sysconfdir}/mplayer/input.conf
install -pm 644 etc/menu.conf $RPM_BUILD_ROOT%{_sysconfdir}/mplayer/menu.conf

# Fix permissions on default skin for gmplayer and install.
mkdir skins
tar -C skins -xjf %{SOURCE1}
find skins -type d -exec chmod 755 {} \;
find skins -type f -exec chmod 644 {} \;
find skins -type f -name "README" -exec rm {} \;
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/mplayer/Skin
cp -a skins/* $RPM_BUILD_ROOT%{_datadir}/mplayer/Skin/

install -dm 755 $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor livna \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category X-Livna \
  %{SOURCE3}
rm -f $RPM_BUILD_ROOT%{_datadir}/applications/mplayer.desktop

install -dm 755 $RPM_BUILD_ROOT%{_libdir}/win32


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-, root, root, -)
%doc AUTHORS ChangeLog doc/default.css doc/en doc/tech LICENSE README
%lang(de) %doc doc/de
%lang(es) %doc doc/es
%lang(fr) %doc doc/fr
%lang(hu) %doc doc/hu
%lang(hu) %doc doc/it
%lang(pl) %doc doc/pl
%lang(ru) %doc doc/ru
%lang(ru) %doc doc/zh
%dir %{_sysconfdir}/mplayer
%config(noreplace) %{_sysconfdir}/mplayer/mplayer.conf
%config(noreplace) %{_sysconfdir}/mplayer/input.conf
%config(noreplace) %{_sysconfdir}/mplayer/menu.conf
%{_bindir}/mplayer
%ifarch %ix86
%{_libdir}/libdha.so.*
%{_libdir}/mplayer
%endif
%dir %{_libdir}/win32
%dir %{_datadir}/mplayer
%{_mandir}/man1/mplayer.1*
%lang(cs) %{_mandir}/cs/man1/mplayer.1*
%lang(de) %{_mandir}/de/man1/mplayer.1*
%lang(es) %{_mandir}/es/man1/mplayer.1*
%lang(fr) %{_mandir}/fr/man1/mplayer.1*
%lang(hu) %{_mandir}/hu/man1/mplayer.1*
%lang(it) %{_mandir}/it/man1/mplayer.1*
%lang(pl) %{_mandir}/pl/man1/mplayer.1*
%lang(sv) %{_mandir}/sv/man1/mplayer.1*
%lang(zh_TW) %{_mandir}/zh_TW/man1/mplayer.1*

%files gui
%defattr(-, root, root, -)
%{_bindir}/gmplayer
%{_datadir}/applications/*mplayer.desktop
%{_datadir}/pixmaps/mplayer-desktop.xpm
%{_datadir}/mplayer/Skin

%files mencoder
%defattr(-, root, root, -)
%{_bindir}/mencoder
%{_mandir}/man1/mencoder.1*
%lang(cs) %{_mandir}/cs/man1/mencoder.1*
%lang(de) %{_mandir}/de/man1/mencoder.1*
%lang(es) %{_mandir}/es/man1/mencoder.1*
%lang(fr) %{_mandir}/fr/man1/mencoder.1*
%lang(hu) %{_mandir}/hu/man1/mencoder.1*
%lang(it) %{_mandir}/it/man1/mencoder.1*
%lang(pl) %{_mandir}/pl/man1/mencoder.1*
%lang(sv) %{_mandir}/sv/man1/mencoder.1*
%lang(zh_TW) %{_mandir}/zh_TW/man1/mencoder.1*


%changelog
* Wed Sep 21 2005 Milan Kerslager <kerslage@linux.cz> 1.0-0.0.pre7try2.ker.rhel4
- rebuild for RHEL4 (package from http://rpm.livna.org/fedora/4/i386/SRPMS.lvn)

* Tue Sep  6 2005 Ville Skyttä <ville.skytta at iki.fi> - 0:1.0-0.lvn.0.26.pre7try2
- 1.0pre7try2.
- Enable v4l2 interface (#576).
- Enable DVB support only with recent enough glibc-kernheaders.

* Mon Jul  4 2005 Thorsten Leemhuis <fedora at leemhuis.info> - 0:1.0-0.lvn.0.26.pre7
- Add a patch to allow compiling for x86_64-FC4; thx to Ryo Dairiki:
  https://www.redhat.com/archives/fedora-extras-list/2005-July/msg00997.html

* Mon Jul  4 2005 Ville Skyttä <ville.skytta at iki.fi> - 0:1.0-0.lvn.0.25.pre7
- Enable DirectFB by default, rebuild with "--without directfb" to disable.
- Clean up obsolete pre-FC2 support.

* Thu Jun 30 2005 Dams <anvil[AT]livna.org> - 0:1.0-0.lvn.0.24.pre7
- Added patch to fix ppc/altivec builds (#494)

* Mon Jun 20 2005 Ville Skyttä <ville.skytta at iki.fi> - 0:1.0-0.lvn.0.23.pre7
- Completely disable parallel make for now.

* Mon Jun  6 2005 Thorsten Leemhuis <fedora at leemhuis.info> - 0:1.0-0.lvn.0.22.pre7
- add gcc4 patch from thias/gentoo/myself

* Mon May  9 2005 Ville Skyttä <ville.skytta at iki.fi> - 0:1.0-0.lvn.0.21.pre7
- Use em8300-devel for DXR3 support, and make it optional, default enabled.

* Tue May 03 2005 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 0:1.0-0.lvn.0.20.pre7
- fix build issues on x86_64:
 - move target= to a ix86 section -- on x86_64 it passes the option x86-64 
   and not x86_64
 - use explicit --with-xmmslibdir
 - {_libdir}/libdha.so.* and {_libdir}/mplayer are missing on x86_64

* Tue Apr 19 2005 Dams <anvil[AT]livna.org> - 0:1.0-0.lvn.0.19.pre7
- Updated installstrip patch
- Updated ldconfig patch
- Updated to 1.0pre7

* Sun Feb 27 2005 Ville Skyttä <ville.skytta at iki.fi> 0:1.0-0.lvn.0.18.pre6a
- Fix PPC build (David Woodhouse, bug 376).
- Add libcaca support (rebuild "--without caca" to disable).
- Rebuild with LIRC support.

* Thu Jan  6 2005 Ville Skyttä <ville.skytta at iki.fi> 0:1.0-0.lvn.0.17.pre6a
- Update to 1.0pre6a (== 1.0pre6 + included HTML docs).

* Fri Dec 24 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.0-0.lvn.0.17.pre6
- Update to 1.0pre6.
- Let rpmbuild take care of stripping the binaries.
- Use bundled Matroska, no option to use an external one any more.
- Include LADSPA plugin support.
- Enable LIRC support by default.
- Honor %%{__cc}.
- Specfile cleanups.

* Mon Dec 20 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.0-0.lvn.0.17.pre5try2
- Update to 1.0pre5try2 and em8300.h to 1.37.

* Sat Nov 13 2004 Dams <anvil[AT]livna.org> - 0:1.0-0.lvn.0.16.pre5
- Added patch to fix live libs compilation issues
- Not using kernel headers when it's not needed. (DVB_INC value)

* Fri Nov 12 2004 Dams <anvil[AT]livna.org> - 0:1.0-0.lvn.0.16.pre5
- Removed version requirement for live libs

* Fri Oct 22 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.0-0.lvn.0.15.pre5
- Bundle a copy of em8300.h and build with DXR3 support.
- Include DVB support, rebuild with "--without dvb" to disable.
- Include LIRC support, rebuild with "--with lirc" to enable.
- Include slave mode patch from VDR's MP3/MPlayer plugin, rebuild with
  "--with vdr" to enable.

* Sun Aug 29 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.0-0.lvn.0.14.pre5
- Use built-in libpostproc.  Shared libpostproc is now from the ffmpeg package.
- Enable fribidi and XMMS input plugin support.
- Include Samba support, disabled by default, use "--with samba" to enable.
- Make ALSA support unconditional.
- Explicitly disable fame and directfb for now.
- Avoid rpath on < FC2 (from sdl-config).
- Include Italian manual pages.
- Avoid full man page duplication in mencoder.

* Sat Jul 17 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.0-0.lvn.0.13.pre5
- Update to 1.0pre5.
- Build with theora support by default, use "--without theora" to disable.
- Rebuild with matroska 0.7.0.
- GNOME HIG/freedesktop.org improvements and better icon for menu entry.

* Mon Jul 12 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.0-0.lvn.0.13.pre4
- Add "--with dxr3" option for building with DXR3/H+ support (default off).

* Sun Jul  4 2004 Dams <anvil[AT]livna.org> 0:1.0-0.lvn.0.12.pre4
- Added patch to fix security issue in GUI
- Updated Blue Skin to version 1.4
- Added theora support build option (default disabled)

* Sun Jun 13 2004 Dams <anvil[AT]livna.org> 0:1.0-0.lvn.0.11.pre4
- Updated desktop entry

* Fri May 21 2004 Dams <anvil[AT]livna.org> 0:1.0-0.lvn.0.10.pre4
- mencoder requires mplayer/libpostproc same E:V-R

* Thu May 20 2004 Dams <anvil[AT]livna.org> 0:1.0-0.lvn.0.9.pre4
- Updated to 1.0pre4
- Minor changes due to version upgrade
- Updated Blue skin

* Sat Apr  3 2004 Dams <anvil[AT]livna.org> 0:1.0-0.lvn.0.8.pre3try2
- Updated version to fix exploitable remote buffer overflow
  vulnerability in the HTTP parser

* Tue Mar  2 2004 Dams <anvil[AT]livna.org> 0:1.0-0.lvn.0.7.pre3
- Specified libmatroska version in build dependency

* Sun Feb 29 2004 Dams <anvil[AT]livna.org> 0:1.0-0.lvn.0.6.pre3
- Added libmatroska support
- Added fix for matroska support build (from cvs)

* Wed Jan  7 2004 Marius L. Jøhndal <mariuslj at ifi.uio.no> 0:1.0-0.lvn.0.5.pre3
- Fixed broken documentation.
- Added Live.com support.
- Made ALSA support optional (for pre-FC1 builds).
- Converted spec file to UTF-8.

* Wed Dec 10 2003 Marius L. Jøhndal <mariuslj at ifi.uio.no> 0:1.0-0.lvn.0.4.pre3
- Enabled ALSA support.

* Tue Dec  9 2003 Marius L. Jøhndal <mariuslj at ifi.uio.no> 0:1.0-0.lvn.0.3.pre3
- Update to 1.0pre3.
- Added --disable-smb to avoid linking with Samba libraries.
- Updated to new documentation layout. Yet again.
- Simplified unpacking of skin.

* Fri Nov 21 2003 Marius L. Jøhndal <mariuslj at ifi.uio.no> 0:1.0-0.lvn.0.2.pre2
- Fixed typo (bug 6).

* Fri Nov 14 2003 Marius L. Jøhndal <mariuslj at ifi.uio.no> 0:1.0-0.lvn.0.1.pre2
- Update to 1.0pre2.
- Moved remaining font to mplayer-fonts; require mplayer-fonts.
- Added LICENSE file.
- Updated to new documentation layout.
- Added empty _libdir/win32 directory.
- s/fedora/livna/ and s/X-Fedora/X-Livna/ in desktop file.

* Sun Sep 28 2003 Dams <anvil[AT]livna.org> 0:0.92-0.fdr.1
- Updated to 0.92
- Removed comment after scriptlets

* Sat Aug 23 2003 Marius L. Jøhndal <mariuslj at ifi.uio.no> 0:0.91-0.fdr.2
- mplayer requires same epoch-version-release of libpostproc (bug 610).

* Sat Aug 16 2003 Marius L. Jøhndal <mariuslj at ifi.uio.no> 0:0.91-0.fdr.1
- Updated to 0.91 release.
- Updated Blue-1.0.tar.bz2 skin (upstream file changed!).
- Added playlist patch.
- Require xvidcore-devel >= 0:0.9.2 to get versioned libxvidcore.so.
- Convert all (non-English) manual pages to UTF-8 (bug 524).
- Removed codecs.conf. No longer needed.
- Removed outdated Polish documentation.

* Tue Jul 22 2003 Marius L. Jøhndal <mariuslj at ifi.uio.no> 0:0.90-0.fdr.13
- Updated to new upstream arial iso-8859-1 font.
- Fixed broken font installation (bug 495).

* Fri Jul 11 2003 Marius L. Jøhndal <mariuslj at ifi.uio.no> 0:0.90-0.fdr.12
- Fixed dangling font symlink (bug 257).

* Thu Jul 10 2003 Marius L. Jøhndal <mariuslj at ifi.uio.no> 0:0.90-0.fdr.11
- Disabled svgalib for reproducible builds (bug 257).
- Moved mplayer.desktop to source file (bug 257).

* Mon Jul  7 2003 Marius L. Jøhndal <mariuslj at ifi.uio.no> 0:0.90-0.fdr.10
- Disabled termcap for reproducible builds (bug 257).

* Sun Jul  6 2003 Marius Jøhndal <mariuslj at ifi.uio.no> 0:0.90-0.fdr.9
- Made packages own %{_libdir}/mplayer and %{_datadir}/mplayer/Skin.

* Sat Jun 21 2003 Marius Jøhndal <mariuslj at ifi.uio.no> 0:0.90-0.fdr.8
- configure patch and BuildRequires: glibc-kernheaders to enable V4L (bug 392).

* Fri Jun 20 2003 Marius Jøhndal <mariuslj at ifi.uio.no> 0:0.90-0.fdr.7
- Moved skins (except a default skin) to separate package (bug 257).
- Removed empty README file from Blue skin directory.
- A couple of %{_prefix}/lib to %{_libdir} fixes.
- Moved fonts (except a default font) to separate package.
- Removed /usr/bin/find and unzip from BuildRequires.

* Sat May  3 2003 Marius Jøhndal <mariuslj at ifi.uio.no> 0:0.90-0.fdr.6
- Added skins subpackage.
- %{buildroot} -> $RPM_BUILD_ROOT.
- Honour $RPM_OPT_FLAGS.
- BuildRequires: freetype-devel to enable TrueType subtitles.
- BuildRequires: libdv-devel for dv driver (bug 227).
- BuildRequires: liblzo-devel for lzo driver (bug 227).
- BuildRequires: libjpeg-devel for JPEG vo (bug 227).
- BuildRequires: libungif-devel for GIF vo (bug 227).
- BuildRequires: zlib-devel for zlib driver (bug 227).

* Mon Apr 21 2003 Marius Jøhndal <mariuslj at ifi.uio.no> 0:0.90-0.fdr.5
- BuildRequires: libmad -> libmad-devel.

* Thu Apr 17 2003 Warren Togami <warren@togami.com> 0:0.90-0.fdr.4
- BuildRequires libpng-devel

* Sat Apr 12 2003 Marius Jøhndal <mariuslj at ifi.uio.no> 0:0.90-0.fdr.3
- Changed default skin to Blue (which is the new offical default skin).
- Changed desktop file category to X-Fedora.
- Added faad2 support.
- Split libpostproc into separate package. This simplifies requirements for mencoder.
- Added BuildRequires libogg-devel.
- Removed codecs-in.html from documentation.
- Enabled OSD menus.

* Tue Apr  8 2003 Marius Jøhndal <mariuslj at ifi.uio.no> 0:0.90-0.fdr.2
- Patched libpostproc makefile to add missing symlink to versioned library.
- Temporarily disabled SMP make flags.
- Modified config files to avoid starting up in full-screen mode.

* Mon Apr  7 2003 Marius Jøhndal <mariuslj at ifi.uio.no> 0:0.90-0.fdr.1
- Updated to 0.90 release.
- Moved non-English manual pages into %{_mandir}.
- Expanded description.
- Added symlinks for mencoder manual pages.
- Moved default {input,menu,mplayer}.conf into /etc/mplayer.
- Added Chinese (traditional) manual page.
- Moved gui to separate package. Motivation: Get rid of default skin
  from mplayer package.
- Moved mencoder to separate package. By doing this, lame is no longer
  required by mplayer.
- Corrected a couple of typos in source URLs.
- Updated subtitle fonts.

* Fri Apr  4 2003 Marius Jøhndal <mariuslj at ifi.uio.no> 0:0.90-0.fdr.0.1.rc5
- Initial Fedora RPM release.

* Mon Mar 31 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt for Red Hat Linux 9.

* Mon Mar 24 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Fix ppc build.

* Wed Mar 19 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.90rc5.

* Sat Mar 15 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Added gcccheck build option.
- Added freedesktop build option.

* Sun Feb 16 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuild against new libdvdread.

* Wed Feb 12 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Add a workaround for the default skin's permission problem.

* Mon Feb 10 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.90rc4.
- Updated default skin to 1.7.

* Wed Jan 22 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Added --without dvdnav build option.

* Mon Jan 20 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.90rc3.
- Added "--without esd" build option.

* Sat Jan 11 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to today's snapshot as it fixes many bugs (fullscreen for ex).
- Replace all divx4linux stuff with xvid.
- Rebuilt with libavcodec from ffmpeg, doh!

* Thu Jan  2 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.90rc2, updated the cdda patch too.
- Removed the Epoch... yes, upgrade manually by erasing and installing again.

* Mon Dec  9 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.90rc1.

* Fri Nov 15 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Re-enabled the auto req/prov.

* Tue Nov 12 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.90pre10.
- Added CDDA support through cdparanoia + include fix.
- Enabled shared postproc library.
- Fixed VCD support by having redhat -> linux (probably fixes joystick too).
- Removed CFLAGS overwriting.

* Sat Oct 26 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Fixed aa with --disable-aa instead of --disable-aalib.

* Fri Oct 25 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.90pre9.
- Enable ALSA by default now.
- Added patch to remove that awful startup message about runtime cpudetection.
- Added libdvdnav support for rebuild.

* Wed Oct  3 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Enforced --without libdv, lirc options to disable even if libs are present.

* Sat Sep 28 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt for Red Hat Linux 8.0.
- Added new menu entry.
- New --with and --without rebuild options.

* Fri Sep 20 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.90pre8.
- Added some files to the %%doc section.

* Thu Sep  5 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.90pre7.
- Removed obsolete prefix.
- Explicitely disable ALSA for now.

* Mon Aug 20 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt with libdvdnav... but removed, just too experimental :-(
- Added direct DVD menu entry.

* Mon Aug 13 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Added arts dependency.

* Tue Aug  6 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.90pre6.
- Added aalib and lirc build dependencies to get a full-featured binary.
- Updated %%description.
- Added iso-8859-2 font in the package.
- Cleaned up old unuseful hacks.

* Mon Jun 10 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.90pre5.

* Tue May 14 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.90pre4.
- Overwrite the absolute link for the mencoder.1 man page.

* Sat May 11 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Added the mime types for the menu entry.

* Thu May  2 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Added CFLAGS for configure and i18n.
- Rebuilt against Red Hat Linux 7.3.
- Added the %%{?_smp_mflags} expansion.

* Tue Apr 30 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.90pre2.
- Fixed the libGLcore.so.1 and lirc dependencies.
- Build with gcc 2.96 instead of gcc3.

* Fri Apr 26 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.90pre1, fully GPL at last! Here come the binary packages :-)

* Fri Feb  1 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to today's current version.
- Added 3 skins + removed workaround since skin archives are fixed.

* Wed Jan  2 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- %doc cleanup and update to today's build.
- Modified for the new CONFDIR stuff.

* Wed Dec 12 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Initial RPM release.

